Using MariaDB

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Using MariaDB

Dashamir Hoxha
Hi,

I am using MariaDB for the database, however it doesn't work without `mysql-connector-java`. In ubuntu-18.04 it is easy to install it, but in ubuntu-20.04 it has become a bit tricky (unless I am missing something):
I would like to avoid this if possible.

I could find this discussion which concludes that something needs to be added to Guacamole in order to fully support MariaDB:

Regards,
Dashamir
Reply | Threaded
Open this post in threaded view
|

Re: Using MariaDB

vnick
On Wed, Jul 1, 2020 at 9:11 AM Dashamir Hoxha <[hidden email]> wrote:
Hi,

I am using MariaDB for the database, however it doesn't work without `mysql-connector-java`. In ubuntu-18.04 it is easy to install it, but in ubuntu-20.04 it has become a bit tricky (unless I am missing something):
I would like to avoid this if possible.


The 1.2.0 version of Guacamole Client adds support for the MariaDB Connector/J.  You just need to specify the mysql-driver option and set it to MariaDB.  This is documented in the current user guide on the web page.

-Nick

Reply | Threaded
Open this post in threaded view
|

Re: Using MariaDB

Dashamir Hoxha
On Wed, Jul 1, 2020 at 4:08 PM Nick Couchman <[hidden email]> wrote:
On Wed, Jul 1, 2020 at 9:11 AM Dashamir Hoxha <[hidden email]> wrote:
Hi,

I am using MariaDB for the database, however it doesn't work without `mysql-connector-java`. In ubuntu-18.04 it is easy to install it, but in ubuntu-20.04 it has become a bit tricky (unless I am missing something):
I would like to avoid this if possible.


The 1.2.0 version of Guacamole Client adds support for the MariaDB Connector/J.  You just need to specify the mysql-driver option and set it to MariaDB.  This is documented in the current user guide on the web page.

I had missed it.
I added `mysql-driver: mariadb` on `/etc/guacamole/guacamole.properties`, and it worked.

Thanks,
Dashamir
 

-Nick